View Issue Details

IDProjectCategoryView StatusLast Update
0000371PluginsNetworkpublic2008-03-08 07:16
ReporterDiRTy_GaRRyAssigned Toalexy 
PrioritylowSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS Version2003 SP2
Product Version 
Target VersionFixed in Version1.80 
Summary0000371: [Unicode] Плагин не собирается без установленного NO_LOG
DescriptionПод VS2005SP1/VS2008 плагин не не собирается без установленного NO_LOG. Бат-к и лог сборки прилагаю.
Additional InformationНа счёт кучи варнингов в 2008-й студии, то это скорее всего вот этот баг: http://connect.microsoft.com/VisualStudio/feedback/ViewFeedback.aspx?FeedbackID=294649
TagsNo tags attached.

Relationships

has duplicate 0000482 closedalexy Cannot build Network plugin in Debug-Unicoder mode 

Activities

2007-11-23 12:08

 

build.rar (2,748 bytes)

yjh

2007-11-23 13:29

developer   bugnote:0000823

Варианта сборки под vc9 пока нет и вряд ли он будет "в ближайшие дни" - релизу 9ки нет ещё и месяца, а никакой "острой необходжимости" в срочном вылавливание всех её глюков пока не наблюдается :)

DiRTy_GaRRy

2007-11-23 13:37

developer   bugnote:0000825

Нда. Что то меня заклинило. Под VC8 оно даже до линковки не доходит. См. лог. Так что вполне может юыть, что там линкер по той же ошибке упадёт.

2007-11-23 13:37

 

build.log (5,180 bytes)

yjh

2007-11-23 13:42

developer   bugnote:0000828

Проверь что при компиляции определено UNICODE - судя по диагностике, его нет

DiRTy_GaRRy

2008-01-05 18:49

developer   bugnote:0001100

Last edited: 2008-01-06 08:02

Таки мне надоели варнинги и я попробовал их исправить:

1. Убраны варнинги при компиляции под VS9 (http://connect.microsoft.com/VisualStudio/feedback/ViewFeedback.aspx?FeedbackID=294649);
2. Плагин Network теперь компилируется и работает с включённым логгированием (флаг NO_LOG).

P.S. С компиляцией Network в UNICODE версии - отбой. Мой косяк был. Решилось перстановкой в lib и include путей к Platform SDK в более высокий приоритет.

2008-01-05 18:49

 

vs9.diff (3,997 bytes)
Index: common/CRT/free.cpp
===================================================================
--- common/CRT/free.cpp	(revision 1425)
+++ common/CRT/free.cpp	(working copy)
@@ -1,5 +1,5 @@
+#include <windows.h>
 #include "crt.hpp"
-#include <windows.h>
 
 void __cdecl free(void *block)
 {
Index: common/CRT/malloc.cpp
===================================================================
--- common/CRT/malloc.cpp	(revision 1425)
+++ common/CRT/malloc.cpp	(working copy)
@@ -1,5 +1,5 @@
+#include <windows.h>
 #include "crt.hpp"
-#include <windows.h>
 
 void * __cdecl malloc(size_t size)
 {
Index: common/CRT/realloc.cpp
===================================================================
--- common/CRT/realloc.cpp	(revision 1425)
+++ common/CRT/realloc.cpp	(working copy)
@@ -1,5 +1,5 @@
+#include <windows.h>
 #include "crt.hpp"
-#include <windows.h>
 
 void * __cdecl realloc(void *block, size_t size)
 {
Index: common/CRT/strdup.cpp
===================================================================
--- common/CRT/strdup.cpp	(revision 1425)
+++ common/CRT/strdup.cpp	(working copy)
@@ -1,5 +1,5 @@
+#include <windows.h>
 #include "crt.hpp"
-#include <windows.h>
 
 TCHAR * __cdecl
 #ifndef UNICODE
Index: emenu/Plugin.h
===================================================================
--- emenu/Plugin.h	(revision 1425)
+++ emenu/Plugin.h	(working copy)
@@ -1,8 +1,8 @@
 #ifndef _PLUGIN_H_
 #define _PLUGIN_H_
 
+#include "plugin.hpp"
 #include <CRT/crt.hpp>
-#include "plugin.hpp"
 #include <shlobj.h>
 #include <tchar.h>
 #include "auto_sz.h"
Index: farcmds/FARCmds.cpp
===================================================================
--- farcmds/FARCmds.cpp	(revision 1425)
+++ farcmds/FARCmds.cpp	(working copy)
@@ -1,6 +1,6 @@
 #define _FAR_USE_FARFINDDATA
+#include <plugin.hpp>
 #include <CRT/crt.hpp>
-#include <plugin.hpp>
 #include "farcmds.hpp"
 #include "lang.hpp"
 
Index: hlfviewer/HlfViewer.cpp
===================================================================
--- hlfviewer/HlfViewer.cpp	(revision 1425)
+++ hlfviewer/HlfViewer.cpp	(working copy)
@@ -1,7 +1,7 @@
 #define STRICT
 #define _FAR_USE_FARFINDDATA
+#include <plugin.hpp>
 #include <CRT/crt.hpp>
-#include <plugin.hpp>
 #include <farkeys.hpp>
 #include "HlfViewer.hpp"
 #include "lang.hpp"
Index: network/makefile_vc
===================================================================
--- network/makefile_vc	(revision 1425)
+++ network/makefile_vc	(working copy)
@@ -13,8 +13,9 @@
 $(OBJDIR)\NetReg.obj
 
 !if defined(DEBUG) && !defined(NO_LOG)
-USERCPP=/DNETWORK_LOGGING
-NEEDDEFLIB=1
+USERCPP = /DNETWORK_LOGGING
+NEEDDEFLIB = 1
+NEEDENTRY = 1
 !endif
 
 !include ..\makefile_vc_def_inc
Index: network/NetCfg.cpp
===================================================================
--- network/NetCfg.cpp	(revision 1425)
+++ network/NetCfg.cpp	(working copy)
@@ -1,7 +1,7 @@
-#include "NetCfg.hpp"
 #include "NetCommon.hpp"
 #include "NetFavorites.hpp"
 #include "NetReg.hpp"
+#include "NetCfg.hpp"
 
 const TCHAR *StrAddToDisksMenu=_T("AddToDisksMenu");
 const TCHAR *StrAddToPluginsMenu=_T("AddToPluginsMenu");
Index: network/NetClass.cpp
===================================================================
--- network/NetClass.cpp	(revision 1425)
+++ network/NetClass.cpp	(working copy)
@@ -1,8 +1,8 @@
-#include "NetClass.hpp"
+#include "NetCommon.hpp"
 #include "NetFavorites.hpp"
-#include "NetCommon.hpp"
 #include "NetReg.hpp"
 #include "NetCfg.hpp"
+#include "NetClass.hpp"
 
 NetResourceList *CommonRootResources;
 BOOL SavedCommonRootResources = FALSE;
Index: network/NetNT.cpp
===================================================================
--- network/NetNT.cpp	(revision 1425)
+++ network/NetNT.cpp	(working copy)
@@ -1,5 +1,5 @@
+#include "NetCommon.hpp"
 #include "NetClass.hpp"
-#include "NetCommon.hpp"
 
 void NetBrowser::GetHideShareNT()
 {
vs9.diff (3,997 bytes)

DiRTy_GaRRy

2008-01-11 08:35

developer   bugnote:0001121

Может закоммитите? ;)

alexy

2008-01-11 10:03

administrator   bugnote:0001122

Я что то вижу там тока какую то перетасовку инклюдов. Не нравятся мне такие фиксы.

DiRTy_GaRRy

2008-01-11 10:24

developer   bugnote:0001123

Ну да, в части исправления варнингов, там именно изменения порядка инклюдов. К сожалению, пока варнинги больше никак не обойти. MS-ы признали этот баг (см. приведённую выше ссылку) и изменения порядка инклюдов - это официальный воркэраунд. Но, судя по частоте выпуска сервиспаков к студиям, что то с этими варнингами в конце концов делать придётся. Но, в прочем, хозяин - барин.

P.S. Тогда хотя бы часть качающуюся лога в нетворк плагине закоммить:
Index: network/makefile_vc
===================================================================
--- network/makefile_vc (revision 1425)
+++ network/makefile_vc (working copy)
@@ -13,8 +13,9 @@
 $(OBJDIR)\NetReg.obj
 
 !if defined(DEBUG) && !defined(NO_LOG)
-USERCPP=/DNETWORK_LOGGING
-NEEDDEFLIB=1
+USERCPP = /DNETWORK_LOGGING
+NEEDDEFLIB = 1
+NEEDENTRY = 1
 !endif
 
 !include ..\makefile_vc_def_inc

alexy

2008-03-08 06:28

administrator   bugnote:0001217

fixed

Issue History

Date Modified Username Field Change
2007-11-23 12:08 DiRTy_GaRRy New Issue
2007-11-23 12:08 DiRTy_GaRRy Status new => assigned
2007-11-23 12:08 DiRTy_GaRRy Assigned To => Karbazol
2007-11-23 12:08 DiRTy_GaRRy File Added: build.rar
2007-11-23 13:29 yjh Note Added: 0000823
2007-11-23 13:30 yjh Note Added: 0000824
2007-11-23 13:30 yjh Assigned To Karbazol => yjh
2007-11-23 13:30 yjh Priority normal => low
2007-11-23 13:30 yjh Resolution open => suspended
2007-11-23 13:37 DiRTy_GaRRy Note Added: 0000825
2007-11-23 13:37 DiRTy_GaRRy File Added: build.log
2007-11-23 13:42 yjh Note Added: 0000828
2008-01-05 18:49 DiRTy_GaRRy Note Added: 0001100
2008-01-05 18:49 DiRTy_GaRRy File Added: vs9.diff
2008-01-05 18:56 DiRTy_GaRRy Note Edited: 0001100
2008-01-06 08:02 DiRTy_GaRRy Note Edited: 0001100
2008-01-11 08:35 DiRTy_GaRRy Note Added: 0001121
2008-01-11 10:03 alexy Note Added: 0001122
2008-01-11 10:24 DiRTy_GaRRy Note Added: 0001123
2008-03-07 19:23 DrKnS Relationship added has duplicate 0000480
2008-03-07 19:59 alexy Relationship deleted has duplicate 0000480
2008-03-08 06:26 alexy Relationship added has duplicate 0000482
2008-03-08 06:27 alexy Assigned To yjh => alexy
2008-03-08 06:28 alexy Note Added: 0001217
2008-03-08 06:30 alexy Note Added: 0001219
2008-03-08 06:30 alexy Status assigned => feedback
2008-03-08 07:15 alexy Status feedback => resolved
2008-03-08 07:15 alexy Fixed in Version => 1.80
2008-03-08 07:15 alexy Resolution suspended => fixed
2008-03-08 07:15 alexy Status resolved => closed